Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 515692 - net-p2p/qbittorrent - add Qt5 support
Summary: net-p2p/qbittorrent - add Qt5 support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Markos Chandras (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: qt5-porting
Blocks:
  Show dependency tree
 
Reported: 2014-06-29 19:28 UTC by David Heidelberg (okias)
Modified: 2015-02-23 19:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Heidelberg (okias) 2014-06-29 19:28:08 UTC
Adapt to Qt5, improve ebuild.

Diff https://github.com/okias/ixit/commit/45f5d53d04cfd02339da590b2fc6716405160365

Reproducible: Always
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2014-06-30 13:34:09 UTC
Please attach an actual patch if you want to use Keywords: PATCH.
Comment 2 Manuel Rüger (RETIRED) gentoo-dev 2014-06-30 13:52:26 UTC
This should depend on qt5 tracker instead of blocking it, right?
Comment 3 Davide Pesavento gentoo-dev 2014-06-30 14:07:00 UTC
(In reply to Manuel Rüger from comment #2)
> This should depend on qt5 tracker instead of blocking it, right?

Yep.
Comment 4 Ben de Groot (RETIRED) gentoo-dev 2015-02-17 19:16:01 UTC
+  17 Feb 2015; Ben de Groot <yngwin@gentoo.org> metadata.xml,
+  qbittorrent-9999.ebuild:
+  Update live ebuild. Implement Qt5 support (bug #515692).

Thanks for your contribution!
Comment 5 Constantine Kardaris 2015-02-23 18:52:08 UTC
Wrong slot number for qtgui inside qt5?()
line 43
-X? ( dev-qt/qtgui:4
+X? ( dev-qt/qtgui:5
Comment 6 Markos Chandras (RETIRED) gentoo-dev 2015-02-23 19:02:32 UTC
Thanks i just fixed it